<?php
/**
 * Created by PhpStorm.
 * User: Imac
 * Date: 20/09/2018
 * Time: 10:07
 */

namespace Actigraph\ActipageBaseBundle\Entity;
use Doctrine\ORM\Mapping as ORM;

/**
 * Diaporama
 *
 * @ORM\Table(name="diaporama")
 * @ORM\Entity
 */
class Diaporama
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_diaporama", type="text", nullable=false)
     */
    private $nomDiaporama;

    /**
     * @var boolean
     *
     * @ORM\Column(name="retour", type="boolean", nullable=false)
     */
    private $retour;

    /**
     * @var integer
     *
     * @ORM\Column(name="tempsTransition", type="integer", nullable=false)
     */
    private $tempstransition;

    /**
     * @var boolean
     *
     * @ORM\Column(name="affichePlayPause", type="boolean", nullable=false)
     */
    private $afficheplaypause;

    /**
     * @var boolean
     *
     * @ORM\Column(name="lectureAutomatique", type="boolean", nullable=false)
     */
    private $lectureautomatique;

    /**
     * @var integer
     *
     * @ORM\Column(name="tempsAttente", type="integer", nullable=false)
     */
    private $tempsattente;

    /**
     * @var integer
     *
     * @ORM\Column(name="currentPosition", type="integer", nullable=false)
     */
    private $currentposition;

    /**
     * @var integer
     *
     * @ORM\Column(name="slideHeight", type="integer", nullable=false)
     */
    private $slideheight;

    /**
     * @var integer
     *
     * @ORM\Column(name="slideWidth", type="integer", nullable=false)
     */
    private $slidewidth;

    /**
     * @var string
     *
     * @ORM\Column(name="image_folder", type="text", nullable=false)
     */
    private $imageFolder;

    /**
     * @var string
     *
     * @ORM\Column(name="animation", type="text", nullable=false)
     */
    private $animation;

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @param int $id
     */
    public function setId(int $id)
    {
        $this->id = $id;
    }

    /**
     * @return string
     */
    public function getNomDiaporama(): string
    {
        return $this->nomDiaporama;
    }

    /**
     * @param string $nomDiaporama
     */
    public function setNomDiaporama(string $nomDiaporama)
    {
        $this->nomDiaporama = $nomDiaporama;
    }

    /**
     * @return bool
     */
    public function isRetour(): bool
    {
        return $this->retour;
    }

    /**
     * @param bool $retour
     */
    public function setRetour(bool $retour)
    {
        $this->retour = $retour;
    }

    /**
     * @return int
     */
    public function getTempstransition(): int
    {
        return $this->tempstransition;
    }

    /**
     * @param int $tempstransition
     */
    public function setTempstransition(int $tempstransition)
    {
        $this->tempstransition = $tempstransition;
    }

    /**
     * @return bool
     */
    public function isAfficheplaypause(): bool
    {
        return $this->afficheplaypause;
    }

    /**
     * @param bool $afficheplaypause
     */
    public function setAfficheplaypause(bool $afficheplaypause)
    {
        $this->afficheplaypause = $afficheplaypause;
    }

    /**
     * @return bool
     */
    public function isLectureautomatique(): bool
    {
        return $this->lectureautomatique;
    }

    /**
     * @param bool $lectureautomatique
     */
    public function setLectureautomatique(bool $lectureautomatique)
    {
        $this->lectureautomatique = $lectureautomatique;
    }

    /**
     * @return int
     */
    public function getTempsattente(): int
    {
        return $this->tempsattente;
    }

    /**
     * @param int $tempsattente
     */
    public function setTempsattente(int $tempsattente)
    {
        $this->tempsattente = $tempsattente;
    }

    /**
     * @return int
     */
    public function getCurrentposition(): int
    {
        return $this->currentposition;
    }

    /**
     * @param int $currentposition
     */
    public function setCurrentposition(int $currentposition)
    {
        $this->currentposition = $currentposition;
    }

    /**
     * @return int
     */
    public function getSlideheight(): int
    {
        return $this->slideheight;
    }

    /**
     * @param int $slideheight
     */
    public function setSlideheight(int $slideheight)
    {
        $this->slideheight = $slideheight;
    }

    /**
     * @return int
     */
    public function getSlidewidth(): int
    {
        return $this->slidewidth;
    }

    /**
     * @param int $slidewidth
     */
    public function setSlidewidth(int $slidewidth)
    {
        $this->slidewidth = $slidewidth;
    }

    /**
     * @return string
     */
    public function getImageFolder(): string
    {
        return $this->imageFolder;
    }

    /**
     * @param string $imageFolder
     */
    public function setImageFolder(string $imageFolder)
    {
        $this->imageFolder = $imageFolder;
    }

    /**
     * @return string
     */
    public function getAnimation(): string
    {
        return $this->animation;
    }

    /**
     * @param string $animation
     */
    public function setAnimation(string $animation)
    {
        $this->animation = $animation;
    }

}